Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class FormulaError

    java.lang.Object
      org.apache.poi.ss.usermodel.FormulaError

    public class FormulaError

extends java.lang.Object

Enumerates error values in SpreadsheetML formula calculations.

Author:
  Yegor Kozlov

Field Summary
`static FormulaError` | `DIV0` Intended to indicate when any number, including zero, is divided by zero.
`static FormulaError` | `NA` Intended to indicate when a designated value is not available.
`static FormulaError` | `NAME` Intended to indicate when what looks like a name is used, but no such name has been defined.
`static FormulaError` | `NULL` Intended to indicate when two areas are required to intersect, but do not.
`static FormulaError` | `NUM` Intended to indicate when an argument to a function has a compatible type, but has a value that is outside the domain over which that function is defined.
`static FormulaError` | `REF` Intended to indicate when a cell reference is invalid.
`static FormulaError` | `VALUE` Intended to indicate when an incompatible type argument is passed to a function, or an incompatible type operand is used with an operator.

Method Summary
`static FormulaError` | `forInt(byte type)`
`static FormulaError` | `forString(java.lang.String code)`
`byte` | `getCode()`
`java.lang.String` | `getString()`
`static FormulaError[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final FormulaError NULL

  Intended to indicate when two areas are required to intersect, but do not.

  Example: In the case of SUM(B1 C1), the space between B1 and C1 is treated as the binary intersection operator, when a comma was intended. end example]

### DIV0

    public static final FormulaError DIV0

  Intended to indicate when any number, including zero, is divided by zero. Note: However, any error code divided by zero results in that error code.

### VALUE

    public static final FormulaError VALUE

  Intended to indicate when an incompatible type argument is passed to a function, or an incompatible type operand is used with an operator.

  Example: In the case of a function argument, text was expected, but a number was provided

### REF

    public static final FormulaError REF

  Intended to indicate when a cell reference is invalid.

  Example: If a formula contains a reference to a cell, and then the row or column containing that cell is deleted, a #REF! error results. If a worksheet does not support 20,001 columns, OFFSET(A1,0,20000) will result in a #REF! error.

### NAME

    public static final FormulaError NAME

  Intended to indicate when what looks like a name is used, but no such name has been defined.

  Example: XYZ/3, where XYZ is not a defined name. Total is & A10, where neither Total nor is is a defined name. Presumably, "Total is " & A10 was intended. SUM(A1C10), where the range A1:C10 was intended.

### NUM

    public static final FormulaError NUM

  Intended to indicate when an argument to a function has a compatible type, but has a value that is outside the domain over which that function is defined. (This is known as a domain error.)

  Example: Certain calls to ASIN, ATANH, FACT, and SQRT might result in domain errors.

  Intended to indicate that the result of a function cannot be represented in a value of the specified type, typically due to extreme magnitude. (This is known as a range error.)

  Example: FACT(1000) might result in a range error.

### NA

    public static final FormulaError NA

  Intended to indicate when a designated value is not available.

  Example: Some functions, such as SUMX2MY2, perform a series of operations on corresponding elements in two arrays. If those arrays do not have the same number of elements, then for some elements in the longer array, there are no corresponding elements in the shorter one; that is, one or more values in the shorter array are not available.

  This error value can be produced by calling the function NA

Method Detail

### values

    public static FormulaError[] values()

### getCode

    public byte getCode()

  Returns:
    numeric code of the error

### getString

    public java.lang.String getString()

  Returns:
    string representation of the error

### forInt

    public static FormulaError forInt(byte type)

### forString

    public static FormulaError forString(java.lang.String code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD